<?php
    require_once 'Usuario.php';
    require_once 'ClienteDatos.php';
    require_once 'Conexion.php';
    class UsuarioDatos{
        public static function getUsuarioByUsuario(string $usuario):?Usuario{
            $resp = null;
            $query = "SELECT user, user_group, full_name FROM vicidial_users WHERE user = '".limpia($usuario)."' LIMIT 1";
            $con = getConnection();
            if($result = sv_mysqli_query($con,$query)){
                if($row = sv_mysqli_fetch_array($result)){
                    $resp = new Usuario($row["user"],$row["full_name"],ClienteDatos::getClienteById($row["user_group"]));
                }
            }
            sv_mysqli_close($con);
            return $resp;
        }
        public static function getUsuarioByUsuarioAndPassword(string $usuario, string $password):?Usuario{
            $resp = null;
            $query = "SELECT user FROM vicidial_users WHERE user = '".limpia($usuario)."' AND pass = '".limpia($password)."' LIMIT 1";
            $con = getConnection();
            if($result = sv_mysqli_query($con,$query)){
                if($row = sv_mysqli_fetch_array($result)){
                    $resp = self::getUsuarioByUsuario($row["user"]);
                }
            }
            sv_mysqli_close($con);
            return $resp;
        }
    }

?>